import { type TarballResolution, type GitResolution, type ResolveResult } from '@pnpm/resolver-base';
import { type HostedPackageSpec } from './parseBareSpecifier';
import { createGitHostedPkgId } from './createGitHostedPkgId';
import { type AgentOptions } from '@pnpm/network.agent';
export { createGitHostedPkgId };
export type { HostedPackageSpec };
export interface GitResolveResult extends ResolveResult {
    normalizedBareSpecifier: string;
    resolution: GitResolution | TarballResolution;
    resolvedVia: 'git-repository';
}
export type GitResolver = (wantedDependency: {
    bareSpecifier: string;
}) => Promise<GitResolveResult | null>;
export declare function createGitResolver(opts: AgentOptions): GitResolver;
